libgdamm Reference Documentation

Main Page Namespaces Book

# Gnome::Gda::ParameterListError Class Reference

Exception class for Gda parameter list errors. More...

Inheritance diagram for Gnome::Gda::ParameterListError:

[legend]
List of all members.

## Public Types

enum | Code { PARAMETER_LIST_NO_NODE_ERROR, PARAMETER_LIST_NODE_OUTDATED_ERROR, PARAMETER_LIST_VALUE_PROV_OBJ_TYPE_ERROR, PARAMETER_LIST_VALUE_PROV_DATA_TYPE_ERROR, PARAMETER_LIST_VALUE_PROV_INVISIBLE_ERROR, PARAMETER_LIST_VALUE_PROV_QUERY_TYPE_ERROR, PARAMETER_LIST_DEPENDENCY_NOT_IN_PARAMLIST_ERROR, PARAMETER_LIST_DEPENDENCY_POSITION_ERROR, PARAMETER_LIST_XML_SPEC_ERROR }

## Public Member Functions

Code | code () const
| ParameterListError (GError* gobject)
| ParameterListError (Code error_code, const Glib::ustring& error_message)

## Detailed Description

Exception class for Gda parameter list errors.

## Member Enumeration Documentation

enum Gnome::Gda::ParameterListError::Code

Enumerator:

  PARAMETER_LIST_NO_NODE_ERROR |
  PARAMETER_LIST_NODE_OUTDATED_ERROR |
  PARAMETER_LIST_VALUE_PROV_OBJ_TYPE_ERROR |
  PARAMETER_LIST_VALUE_PROV_DATA_TYPE_ERROR |
  PARAMETER_LIST_VALUE_PROV_INVISIBLE_ERROR |
  PARAMETER_LIST_VALUE_PROV_QUERY_TYPE_ERROR |
  PARAMETER_LIST_DEPENDENCY_NOT_IN_PARAMLIST_ERROR |
  PARAMETER_LIST_DEPENDENCY_POSITION_ERROR |
  PARAMETER_LIST_XML_SPEC_ERROR |

## Constructor & Destructor Documentation

Gnome::Gda::ParameterListError::ParameterListError | ( | Code | error_code,
|  | const Glib::ustring & | error_message |
| ) |  |  |

Gnome::Gda::ParameterListError::ParameterListError | ( | GError * | gobject | ) | `[explicit]`

## Member Function Documentation

Code Gnome::Gda::ParameterListError::code | ( |  | ) | const

Reimplemented from Glib::Error.

The documentation for this class was generated from the following file:

- parameterlist.h